set terminal png size 1024,1024
set bmargin 5
set key autotitle columnhead

set datafile separator ","

set style line 1 \
    linecolor rgb '#00ff00' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 2 \
    linecolor rgb '#0000ff' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 3 \
    linecolor rgb '#ff0000' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 4 \
    linecolor rgb '#00b300' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 5 \
    linecolor rgb '#0000cc' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 6 \
    linecolor rgb '#cc0000' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style fill empty

set output 'sizeExp.png'
stats 'size.csv' using 3 name 'MIN_GSP' nooutput
stats 'size.csv' using 5 name 'MAX_GSP' nooutput
stats 'size.csv' using 7 name 'MIN_PS' nooutput
stats 'size.csv' using 10 name 'MAX_PS' nooutput
stats 'size.csv' using 13 name 'MIN_SPAM' nooutput
stats 'size.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'size.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
plot 'size.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6

set xrange [*:*]
set yrange [*:*]
set output 'unique.png'
stats 'unique.csv' using 3 name 'MIN_GSP' nooutput
stats 'unique.csv' using 5 name 'MAX_GSP' nooutput
stats 'unique.csv' using 7 name 'MIN_PS' nooutput
stats 'unique.csv' using 10 name 'MAX_PS' nooutput
stats 'unique.csv' using 13 name 'MIN_SPAM' nooutput
stats 'unique.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'unique.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth b-oxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
plot 'unique.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6

set xrange [*:*]
set yrange [*:*]
set output 'minLength.png'
stats 'minLength.csv' using 3 name 'MIN_GSP' nooutput
stats 'minLength.csv' using 5 name 'MAX_GSP' nooutput
stats 'minLength.csv' using 7 name 'MIN_PS' nooutput
stats 'minLength.csv' using 10 name 'MAX_PS' nooutput
stats 'minLength.csv' using 13 name 'MIN_SPAM' nooutput
stats 'minLength.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'minLength.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
plot 'minLength.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6

set xrange [*:*]
set yrange [*:*]
set output 'avgLength.png'
stats 'avgLength.csv' using 3 name 'MIN_GSP' nooutput
stats 'avgLength.csv' using 5 name 'MAX_GSP' nooutput
stats 'avgLength.csv' using 7 name 'MIN_PS' nooutput
stats 'avgLength.csv' using 10 name 'MAX_PS' nooutput
stats 'avgLength.csv' using 13 name 'MIN_SPAM' nooutput
stats 'avgLength.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'avgLength.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
plot 'avgLength.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6

set xrange [*:*]
set yrange [*:*]
set output 'maxLength.png'
stats 'maxLength.csv' using 3 name 'MIN_GSP' nooutput
stats 'maxLength.csv' using 5 name 'MAX_GSP' nooutput
stats 'maxLength.csv' using 7 name 'MIN_PS' nooutput
stats 'maxLength.csv' using 10 name 'MAX_PS' nooutput
stats 'maxLength.csv' using 13 name 'MIN_SPAM' nooutput
stats 'maxLength.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'maxLength.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
plot 'maxLength.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6

set xrange [*:*]
set yrange [*:*]
set output 'minRepeatibility.png'
stats 'minRepeatibility.csv' using 3 name 'MIN_GSP' nooutput
stats 'minRepeatibility.csv' using 5 name 'MAX_GSP' nooutput
stats 'minRepeatibility.csv' using 7 name 'MIN_PS' nooutput
stats 'minRepeatibility.csv' using 10 name 'MAX_PS' nooutput
stats 'minRepeatibility.csv' using 13 name 'MIN_SPAM' nooutput
stats 'minRepeatibility.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'minRepeatibility.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
#plot 'minRepeatibility.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6

set xrange [*:*]
set yrange [*:*]
set output 'avgRepeatibility.png'
stats 'avgRepeatibility.csv' using 3 name 'MIN_GSP' nooutput
stats 'avgRepeatibility.csv' using 5 name 'MAX_GSP' nooutput
stats 'avgRepeatibility.csv' using 7 name 'MIN_PS' nooutput
stats 'avgRepeatibility.csv' using 10 name 'MAX_PS' nooutput
stats 'avgRepeatibility.csv' using 13 name 'MIN_SPAM' nooutput
stats 'avgRepeatibility.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'avgRepeatibility.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
plot 'avgRepeatibility.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6

set xrange [*:*]
set yrange [*:*]
set output 'maxRepeatibility.png'
stats 'maxRepeatibility.csv' using 3 name 'MIN_GSP' nooutput
stats 'maxRepeatibility.csv' using 5 name 'MAX_GSP' nooutput
stats 'maxRepeatibility.csv' using 7 name 'MIN_PS' nooutput
stats 'maxRepeatibility.csv' using 10 name 'MAX_PS' nooutput
stats 'maxRepeatibility.csv' using 13 name 'MIN_SPAM' nooutput
stats 'maxRepeatibility.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'maxRepeatibility.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
plot 'maxRepeatibility.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6

set xrange [*:*]
set yrange [*:*]
set output 'avgRepeated.png'
stats 'avgRepeated.csv' using 3 name 'MIN_GSP' nooutput
stats 'avgRepeated.csv' using 5 name 'MAX_GSP' nooutput
stats 'avgRepeated.csv' using 7 name 'MIN_PS' nooutput
stats 'avgRepeated.csv' using 10 name 'MAX_PS' nooutput
stats 'avgRepeated.csv' using 13 name 'MIN_SPAM' nooutput
stats 'avgRepeated.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'avgRepeated.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
plot 'avgRepeated.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6

set xrange [*:*]
set yrange [*:*]
set output 'threshold.png'
stats 'threshold.csv' using 3 name 'MIN_GSP' nooutput
stats 'threshold.csv' using 5 name 'MAX_GSP' nooutput
stats 'threshold.csv' using 7 name 'MIN_PS' nooutput
stats 'threshold.csv' using 10 name 'MAX_PS' nooutput
stats 'threshold.csv' using 13 name 'MIN_SPAM' nooutput
stats 'threshold.csv' using 15 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
rangeOffset = ((MAX_max - MIN_min)/10)

stats 'threshold.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
rangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - rangeoffset):(X_max + rangeoffset)]
set yrange [(MIN_min-rangeOffset):(MAX_max+rangeOffset)]
plot 'threshold.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:9 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3, \
             '' using ($1- (boxsize)):3:2:6:5 with candlesticks  title 'GSP' whiskerbars ls 4, \
             '' using ($1):8:7:11:10 with candlesticks  title 'PREFIX_SPAN' whiskerbars ls 5, \
             '' using ($1+ (boxsize)):13:12:16:15 with candlesticks title 'SPAM' whiskerbars ls 6
